require "skirental_frontend_api/dependencies"
module SkirentalFrontendApi
    class Engine < ::Rails::Engine
        isolate_namespace SkirentalFrontendApi
        config.generators.api_only = true

        # We are decorating other classes in order to add authentication to it.
        initializer :set_decorator_paths, :before => :load_environment_hook do |app|
            ActiveSupportDecorators.debug = true
            ActiveSupportDecorators.paths << File.join(config.root, 'app/**')
        end

        initializer "add_compression" do |app|
            app.middleware.insert_after ActionDispatch::Static, Rack::Deflater
        end
    end
end
